Apache JMeter

## org.apache.jmeter.threads
Class ThreadGroup

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.threads.AbstractThreadGroup
              org.apache.jmeter.threads.ThreadGroup

All Implemented Interfaces:
  Serializable, Cloneable, Controller, TestElement

    public class ThreadGroup

extends AbstractThreadGroup

ThreadGroup holds the settings for a JMeter thread group. This class is intended to be ThreadSafe.

See Also:
  Serialized Form

Field Summary
`static String` `DELAY` Scheduler start delay, overrides start time
`static String` `DURATION` Scheduler duration, overrides end time
`static String` `END_TIME` Scheduler absolute end time
`static String` `RAMP_TIME` Ramp-up time
`static String` `SCHEDULER` Whether scheduler is being used
`static String` `START_TIME` Scheduler absolute start time

Fields inherited from class org.apache.jmeter.threads.AbstractThreadGroup
`MAIN_CONTROLLER, NUM_THREADS, ON_SAMPLE_ERROR, ON_SAMPLE_ERROR_CONTINUE, ON_SAMPLE_ERROR_STOPTEST, ON_SAMPLE_ERROR_STOPTEST_NOW, ON_SAMPLE_ERROR_STOPTHREAD`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`ThreadGroup()` No-arg constructor.

Method Summary
`long` `getDelay()` Get the startup delay
`long` `getDuration()` Get the desired duration of the thread group test run
`long` `getEndTime()` Get the end time value.
`int` `getRampUp()` Get the ramp-up value.
`boolean` `getScheduler()` Get whether scheduler is being used
`long` `getStartTime()` Get the absolute start time value.
`void` `scheduleThread(JMeterThread thread)`
`void` `setDelay(long delay)` Set the startup delay
`void` `setDuration(long duration)` Set the desired duration of the thread group test run
`void` `setEndTime(long etime)` Set the EndTime value.
`void` `setRampUp(int rampUp)` Set the ramp-up value.
`void` `setScheduler(boolean Scheduler)` Set whether scheduler is being used
`void` `setStartTime(long stime)` Set the absolute StartTime value.

Methods inherited from class org.apache.jmeter.threads.AbstractThreadGroup
`addIterationListener, addTestElement, getNumberOfThreads, getNumThreads, getOnErrorStopTest, getOnErrorStopTestNow, getOnErrorStopThread, getSamplerController, initialize, isDone, next, setNumThreads, setSamplerController`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addProperty, canRemove, clear, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.jmeter.testelement.TestElement

`canRemove, clear, clone, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, isEnabled, isRunningVersion, isTemporary, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse`

Field Detail

### RAMP_TIME

    public static final String RAMP_TIME

  Ramp-up time

  See Also:
    Constant Field Values

### SCHEDULER

    public static final String SCHEDULER

  Whether scheduler is being used

  See Also:
    Constant Field Values

### START_TIME

    public static final String START_TIME

  Scheduler absolute start time

  See Also:
    Constant Field Values

### END_TIME

    public static final String END_TIME

  Scheduler absolute end time

  See Also:
    Constant Field Values

### DURATION

    public static final String DURATION

  Scheduler duration, overrides end time

  See Also:
    Constant Field Values

### DELAY

    public static final String DELAY

  Scheduler start delay, overrides start time

  See Also:
    Constant Field Values

Constructor Detail

### ThreadGroup

    public ThreadGroup()

  No-arg constructor.

Method Detail

### setScheduler

    public void setScheduler(boolean Scheduler)

  Set whether scheduler is being used

  Parameters:
    `Scheduler` - true is scheduler is to be used

### getScheduler

    public boolean getScheduler()

  Get whether scheduler is being used

  Returns:
    true if scheduler is being used

### setStartTime

    public void setStartTime(long stime)

  Set the absolute StartTime value.

  Parameters:
    `stime` - - the StartTime value.

### getStartTime

    public long getStartTime()

  Get the absolute start time value.

  Returns:
    the start time value.

### getDuration

    public long getDuration()

  Get the desired duration of the thread group test run

  Returns:
    the duration (in secs)

### setDuration

    public void setDuration(long duration)

  Set the desired duration of the thread group test run

  Parameters:
    `duration` - in seconds

### getDelay

    public long getDelay()

  Get the startup delay

  Returns:
    the delay (in secs)

### setDelay

    public void setDelay(long delay)

  Set the startup delay

  Parameters:
    `delay` - in seconds

### setEndTime

    public void setEndTime(long etime)

  Set the EndTime value.

  Parameters:
    `etime` - - the EndTime value.

### getEndTime

    public long getEndTime()

  Get the end time value.

  Returns:
    the end time value.

### setRampUp

    public void setRampUp(int rampUp)

  Set the ramp-up value.

  Parameters:
    `rampUp` - the ramp-up value.

### getRampUp

    public int getRampUp()

  Get the ramp-up value.

  Returns:
    the ramp-up value.

### scheduleThread

    public void scheduleThread(JMeterThread thread)

  Specified by:
    `scheduleThread` in class `AbstractThreadGroup`

Apache JMeter

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.